%define aurox_ver 9.3
%define rel 1


%define gettext_package rhgb

Summary: Red Hat Graphical Boot
Name: rhgb
Version: 0.11.2
Release: %{aurox_ver}.aur.%{rel}
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
Source1: aur_logo-header.png
Source2: rhgb-0.11.2-pl.po
Patch0: rhgb-0.11.2-aurox.patch
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x ppc64
BuildRequires: vte-devel
Requires: initscripts >= 7.22-1

%description
Red Hat Graphical Boot provides a clean and simple interface to the boot process



%prep
%setup -q
%patch -p1 -b .aurox
cp -f %{SOURCE1} src/aurox-logo.png
cp -f %{SOURCE2} po/pl.po

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_datadir}/rhgb

%changelog
* Sat Feb 14 2004 Aurox Team <aurox@aurox.org> 0:0.11.2-9.3.aur.1
- build for Aurox
- import source, logo, Polish translation and patch

* Wed Oct 29 2003 Jonathan Blandford <jrb@redhat.com> 0.11.1-2
- rebuild for fixed german translation

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.11
- only launch if explicitly listed in grub

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.10.6-1
- add working xkb support

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-2
- Don't build on s390, s390x and ppc64 as they don't have libxf86config.

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-1
- add xkb support

* Tue Oct  7 2003 Jonathan Blandford <jrb@redhat.com> 0.10.4.-1s
- new splash code

* Wed Jul  9 2003 Bill Nottingham <notting@redhat.com> 0.9.4-1
- fix checking for command-line arguments, again

* Mon Jul  7 2003 Bill Nottingham <notting@redhat.com> 0.9.3-1
- fix checking for command-line arguments

* Fri Oct 11 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


